//  This is an example for the BMP085 Barometric Pressure and Temp Sensor
// Connect VCC of the BMP085 sensor to 3.3V
// Connect GND to Ground
// Connect SCL to I2C clock - on Arduino Uno/Duemilanove/etc thats Analog 5
// Connect SDA to I2C data - on Arduino Uno/Duemilanove/etc thats Analog 4

#include <Wire.h>
#include <BMP085.h>

BMP085 bmp;
  
void setup() {
  Serial.begin(9600);
  bmp.begin();
}
  
void loop() {
    Serial.print(" Temperature = ");
    Serial.print(bmp.readTemperature());
    Serial.print(" C, ");
    Serial.print(" Pressure = ");
    Serial.print(bmp.readPressure());
    Serial.print(" Pa, ");
    Serial.print(" Altitude = ");
    Serial.print(bmp.readAltitude());
    Serial.print(" meters, ");
    Serial.print(" Pressure at sealevel (calculated) = ");
    Serial.print(bmp.readSealevelPressure());
    Serial.print(" Pa, ");
    Serial.print(" Real altitude = ");
    Serial.print(bmp.readAltitude(101500));
    Serial.print(" meters" );
    Serial.println();
    delay(400);
}
